<?php
// $Id: template.php,v 1.6.2.1.2.1 2007/02/19 01:08:04 jwolf Exp $
// regions for amadou 
function amadou_regions() {
    return array(
        'sidebar_left' => t('sidebar left'),
        'sidebar_right' => t('sidebar right'),
        'content_top' => t('content top'),
        'content_bottom' => t('content bottom'),
        'footer' => t('footer')
    );
}
function amadou_get_primaryContent_width($sidebar_left, $sidebar_right) {
  $width = 100;
  if (!$sidebar_left) {
    $width = $width + 30;
  }  
  if (!$sidebar_right) {
    $width = $width + 30;
  }  
  return $width;
}
// changes the delimiter for taxononmy terms, read more, add new comment, and etc. links for Drupal-4.7.x
function amadou_links($links, $delimiter = ' &bull;&nbsp;')
{
  if (!is_array($links)) {
    return '';
  }

  /* Maps a link to it's associated class */
  $link_to_id = array(
    t('edit') => 'edit',
    t('delete') => 'delete',
    t('Add a new comment.') => 'add-comment',
    t('comment') => 'comment',
    t('reply') => 'reply',
    t('Printer-friendly version.') => 'print',
    t('add child page.') => 'add-child-page',
    t('calendar.') => 'calendar',
  );

  $new_links = array();

  foreach ($links as $link) {
    foreach ($link_to_id as $text => $id) {
      if (strpos($link, $text)) {
        $link = str_replace('<a ', "<a class=\"icon-$id\" ", $link);
        break;
      }
    }
    $new_links[] = $link;
  }

  return implode($delimiter, $new_links);
}
