<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language ?>" xml:lang="<?php print $language ?>">

<head>
  
  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>

</head>

<body>

  <div id="header">
    <div id="headerInner">
        <?php if ($logo) { ?>
        <div id="logo"><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" /></a></div><?php } ?>
	  <div id="siteNameSlogan">
            <?php if ($site_name) : ?>
	      <h1>
	        <a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?>
	        </a>
	      </h1>
	    <?php endif; ?>
            <?php if ($site_slogan) : ?>
	      <h2>
	        <?php print $site_slogan ?>
	      </h2>
	    <?php endif; ?>
	  </div>
      <div id="menu">
        <?php print theme('menu_links', $primary_links) ?> 
      </div>
    </div>
  </div>


  <!-- main -->
  <div id="main">
    <div id="mainInner">
      <div id="primaryContent">
        <div id="columns" style="width: <?php print amadou_get_primaryContent_width( $sidebar_left, $sidebar_right) ?>%;">
          <?php if ($mission) { ?><div class="mission"><?php print $mission ?></div><?php } ?>
          <?php if ($breadcrumb) { ?><div class="breadcrumb"><?php print $breadcrumb ?></div><?php } ?>
          <?php if ($title) { ?><h1 class="pageTitle"><?php print $title ?></h1><?php } ?>
          <?php if ($tabs) { ?><div class="tabs"><?php print $tabs ?></div><?php } ?>
          <?php if ($help) { ?><div class="help"><?php print $help ?></div><?php } ?>
          <?php if ($messages) { ?><div class="messages"><?php print $messages ?></div><?php } ?>
	  <?php print $content_top; ?>
          <?php print $content; ?>
	  <?php print $content_bottom; ?>
        </div>
      </div>
        <!-- sidebars -->
        <div id="secondaryContent">
          <?php if ($sidebar_left) { ?><div id="sidebarLeft"><?php print $sidebar_left ?></div><?php } ?>
          <?php if ($sidebar_right) { ?><div id="sidebarRight"><?php print $sidebar_right ?></div><?php } ?>
        </div>
      </div>
  </div>

  <!-- footer -->
  <div id="footer">
  <?php print $footer_message ?> 
  </div>
<?php print $closure ?>
</body>
</html>
